Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Novice
173 Views

Please make older BIOS version for NUC5I5MYBE available again

As already postet here the latest BIOS for NUC5I5 contains a bug wich leads to ACPI errors using linux.

I know, the operation system is not official supportet and support for the devices has ended but I would like to ask for the former BIOS versions as Intel does now hide them from the download pages.

The only source for former BIOS versions of the mentioned devices are some dubious download mirrors in romania and I really do not want to install my bios from such unrelieable sources.

Maybe at least the md5sum of these older BIOS versions for both devices would be sufficient as I could than verify the downloaded BIOS updates.

Thank you in advance;
GerKel

0 Kudos
5 Replies
Highlighted
Super User Retired Employee
137 Views

The .BIO files are made up of compressed and encrypted capsules that cannot be altered in the field. You do not need to worry about your download source in that respect. Secondly, while it is true that a particular .BIO file might have an additional capsule that was added by a user (using Intel Integrator Toolkit) in order to modify the current/default BIOS configuration(s), provided you have the Advanced / Security / Security Features / Unattended BIOS Configuration parameter set to Always Prompt, you will need to provide permission before this .BIO file can be installed (the BIOS asking for permission is your indication that this file contains this additional capsule). Also, when doing a BIOS downgrade, I believe these user capsules are ignored.

Is there some specific version of the BIOS that you *know* doesn't cause errors? No one is going to support you testing many releases speculatively. That said, I have attached the oldest version that I have in my archive.

...S

Novice
133 Views

Hello n_scott_pearson;

Thank you very much for providing me the older version of the BIOS for NUC5I5MYBE.
I was able to confirm that it has the same md5sum as the one I downloaded from 'other' sources.

Now I will see if this one does not contain the bug which causes the ACPI errors when unsing linux.

I know the version RY0371.BIO for the NUC5I#RY is not affected by this bug while RY0385.BIO is.
Also MYi50058.bio has this bug while MYi50048.bio (NUC5I5MYBE) does not contain it.

Will now go to test the version provided by you and report back later.

It would be really nice if Intel would offer some kind of archive to its customers or at least provide the one ore two previous BIOS versions on the download pages for such cases like it was earlier.

0 Kudos
Highlighted
Moderator
120 Views

Hi GerKel1,

We appreciate your input and I will take it up to the product escalation team. Please keep in mind that without the lock against downgrading a user who has upgraded will think they are safe from particular vulnerabilities, when in reality they may not be. We are protecting against a bad actor downgrading the BIOS (without the users knowledge) and therefore re-introducing vulnerabilities that the user thinks they have already protected themselves against.

I understand that this may not be ideal depending on the situation but this is currently the only efficient way we have to ensure our customers are protected.

Regards,

Ronny G 

 

0 Kudos
Highlighted
Novice
112 Views

I now have updated the BIOS of my NUC5I5MYBE from 0048 to 0054.
The ACPI according to sensor-chip NCT6776D/F error is NOT present in this version yet.
But now there is a firmware-bug in logs:

[Firmware Bug]: TPM Final Events table missing or invalid

but that does not affect me as I do not use TPM either.


@Ronny_G_Intel (Moderator)
I understand your (Intels) purpose to protect its users from vulnerabilities.
But as long as you continue to provide buggy BIOS releases (there have been some in the past!) and hide working previous BIOS versions you archive the opposite.
The 'risk' of some highly abstract security threats is less important to some of your users than a fully working device.
And it is surely no solution for your customers to have to beg for an older BIOS version here or to download it from some obscure sources somewhere online.
Please stop to patronize us as if we all are under age childs!
If I want to install an older BIOS which provides funcionality a newer BIOS breaks it is my decision an I know what I'am doing.
As long as the latest BIOS Version MYi50058.bio and RY0385.bio cause ACPI-Errors when using linux and leave the sensor-chip NCT6776D/F unusable we (the linux users) depend on at least one previos BIOS version wich does not contain this bug.
The alternative is to set acpi=lax to the kernel parameters which in fact is really a security vulnerability.
Sometimes I assume those so called 'updates' are less meant for more 'security' than for planned obsolescence and the babble about "we have to ensure our customers are protected" ist only pretended.
As I've been able to downgrade BIOS of the affected device without ACPI-bug (and will surely not update any of the others anymore!) this issue is solved - for me.

0 Kudos
Highlighted
Moderator
100 Views

Hello GerKel1

Thank you for your response


We are glad to know that you were able to solve this problem. We do appreciate your feedback and it has been shared with the proper department. Having said that, we will proceed to close this thread now. Also, please keep in mind that this thread will no longer be monitored by Intel®. Thank you for understanding.


Best regards,

Andrew G.

Intel Customer Support Technician


0 Kudos